# Class VariantCounter

java.lang.Object
org.snpsift.caseControl.VariantCounter

public class VariantCounter extends Object
A counnter for genotypes

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`VariantCounter(int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEffect(String effStr)`
`int`
`countNonZeroGenotypes()`
`int`
`getGenotype(int idx)`
`void`
`incGenotype(int idx)`
`void`
`incGenotype(int idx, int value)`
`void`
`parseGenotypes(org.snpeff.vcf.VcfEntry ve)`
Update genotype counts
`void`
`setGenotype(int idx, int value)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantCounter

public VariantCounter(int size)

## Method Details

### addEffect

public void addEffect(String effStr)

### countNonZeroGenotypes

public int countNonZeroGenotypes()

### getGenotype

public int getGenotype(int idx)

### incGenotype

public void incGenotype(int idx)

### incGenotype

public void incGenotype(int idx, int value)

### parseGenotypes

public void parseGenotypes(org.snpeff.vcf.VcfEntry ve)
Update genotype counts

Parameters:
  `ve` -

### setGenotype

public void setGenotype(int idx, int value)

### toString

public String toString()

Overrides:
  `toString` in class `Object`